Subject: [TR] More Triumphs on British TV

From: Bob <[email-masked]>
Date: Wed, 22 Sep 2021 10:49:09 -0400

Hello,

We saw a red TR6 while watching episode 1 season 3 of Midsomer Murders 
last night. Nice looking with top town. Even heard it start up once. 
Driver was not the murderer.

A few episodes ago the murderer was driving a nice Morgan. Not sure 
which model but it was beautiful. The driver was quite old. Now that he 
is in prison, can I have the Morgan?

Bob

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive